Crashpad

Public Attributes | List of all members
MINIDUMP_MEMORY_INFO Struct Reference

Describes a region of memory. More...

`#include "dbghelp.h"`

## Public Attributes
uint64_t | BaseAddress
| The base address of the region of pages.
uint64_t | AllocationBase
| The base address of a range of pages in this region. The page is contained within this memory region.
uint32_t | AllocationProtect
| The memory protection when the region was initially allocated. This member can be one of the memory protection options (such as PAGE_EXECUTE, PAGE_NOACCESS, etc.), along with PAGE_GUARD or PAGE_NOCACHE, as needed.
uint32_t | __alignment1
uint64_t | RegionSize
| The size of the region beginning at the base address in which all pages have identical attributes, in bytes.
uint32_t | State
| The state of the pages in the region. This can be one of MEM_COMMIT, MEM_FREE, or MEM_RESERVE.
uint32_t | Protect
| The access protection of the pages in the region. This member is one of the values listed for the AllocationProtect member.
uint32_t | Type
| The type of pages in the region. This can be one of MEM_IMAGE, MEM_MAPPED, or MEM_PRIVATE.
uint32_t | __alignment2

## Detailed Description

Describes a region of memory.

The documentation for this struct was generated from the following file:

- compat/non_win/dbghelp.h